<Query Kind="Program">
  <Reference>&lt;RuntimeDirectory&gt;\System.Runtime.Serialization.dll</Reference>
  <Reference>C:\Utils\LINQPad\References\Azure SDK 1.6\Microsoft.ServiceBus.dll</Reference>
  <Namespace>Microsoft.ServiceBus</Namespace>
  <Namespace>Microsoft.ServiceBus.Messaging</Namespace>
  <Namespace>Microsoft.ServiceBus.Messaging.Filters</Namespace>
</Query>

void Main()
{
	#region "Secret Stuff"
		string issuer = "{ACSIssuer}";
		string key = "{ACSIssuerKey}";
	#endregion
	
	TokenProvider tP = TokenProvider.CreateSharedSecretTokenProvider(issuer, key);
	Uri uri = ServiceBusEnvironment.CreateServiceUri("sb", "{ServiceBusNamespaceName}", string.Empty);
	NamespaceManager namespaceManager = new NamespaceManager(uri, tP);
	
	SubscriptionDescription demoSub;
	if (namespaceManager.SubscriptionExists("TestTopic", "demoFilteredSub"))
	{
		demoSub = namespaceManager.GetSubscription("TestTopic", "demoFilteredSub");
	} else {
		demoSub = namespaceManager.CreateSubscription("TestTopic", "demoFilteredSub", new SqlFilter("MessageCount < 2"));
	}
	demoSub.Dump();
}