<Query Kind="Program">
  <Reference>C:\Utils\LINQPad\References\Azure SDK 1.3\Microsoft.WindowsAzure.StorageClient.dll</Reference>
  <Namespace>Microsoft.WindowsAzure.StorageClient</Namespace>
  <Namespace>Microsoft.WindowsAzure</Namespace>
</Query>

void Main()
{
	//Get a reference to the Queue client via the storage account wrapper.
	StorageCredentialsAccountAndKey credentials = new StorageCredentialsAccountAndKey(
	#region Credentials
		"{YourStorageAccountName}",
		@"{YourStorageAccountKey}"
	#endregion
	);
	CloudStorageAccount account = new CloudStorageAccount(credentials, true);
	CloudQueueClient qClient = account.CreateCloudQueueClient();
	
	CloudQueue q = qClient.GetQueueReference("sample");
	q.CreateIfNotExist();
	
	CloudQueueMessage msg = new CloudQueueMessage("Hello world");
	
	q.AddMessage(msg);
	
	Console.Write("Message delivered.");
	
	
}

// Define other methods and classes here