<Query Kind="Program">
  <Reference>C:\Utils\LINQPad\References\Azure SDK 1.3\Microsoft.WindowsAzure.StorageClient.dll</Reference>
  <Namespace>Microsoft.WindowsAzure.StorageClient</Namespace>
  <Namespace>Microsoft.WindowsAzure</Namespace>
</Query>

void Main()
{
	//Get a reference to the Blob client via the storage account wrapper.
	StorageCredentialsAccountAndKey credentials = new StorageCredentialsAccountAndKey(
	#region Credentials
		"{YourStorageAccountName}",
		@"{YourStorageAccountKey}"
	#endregion
	);
	CloudStorageAccount account = new CloudStorageAccount(credentials, true);
	CloudQueueClient qClient = account.CreateCloudQueueClient();
	
	CloudQueue q = qClient.GetQueueReference("sample");
	q.CreateIfNotExist();
	
	while(true)
	{
		CloudQueueMessage message = q.GetMessage();
		if (message != null)
		{
			message.Dump();
			q.DeleteMessage(message);
	
		} else { 
			Console.WriteLine("No message.");
		}
	}
}

// Define other methods and classes here